## Активация учетных записей

Контроллер Activate реализует активацию учетных записей. Таким образом появляется возможность требовать у пользователя подтверждение учетной записи путем перехода по специальной ссылке из письма, отправленного при регистрации.

Если по какой-то причине пользователь не получил письмо, то c помощью контроллера Activate он может запросить его повторную отправку.

Учетная запись пользователя считается неактивированной если в поле logincount записано -1.

В вызовах сниппета для регистрации и авторизации пользователей должен присутствовать параметр &checkActivation=`1`.

Поэтому если при регистрации пользователь указывал пароль самостоятельно, то нужно запрашивать пароль для отправки письма со ссылкой для активации. Иначе будет генерироваться новый пароль, потому что раз пользователь запрашивает письмо для активации вручную, значит письмо после регистрации он не получил и не знает созданный при регистрации пароль.

В шаблонах доступны все поля модели для обрабатываемой записи. В шаблоне reportTpl задается поле user.password с незашифрованным паролем и поле activate.url со ссылкой для активации. 

## Параметры
### model
Класс для работы с пользователями.

Возможные значения - имя класса.

Значение по умолчанию - \modUsers

### modelPath
Путь к файлу класса для работы с пользователями.

Возможные значения - относительный путь к файлу.

Значение по умолчанию - assets/lib/MODxAPI/modUsers.php

### redirectTo
Перенаправляет пользователя на указанную страницу после активации.

Возможные значения - id целевой страницы или массив.

Значение по умолчанию - пусто.

### exitTo
Перенаправляет авторизованного пользователя на указанную страницу.

Возможные значения - id целевой страницы или массив.

Значение по умолчанию - пусто.

### skipTpl
Шаблон сообщения для авторизованного пользователя.

Возможные значения - имя шаблона, указанное по правилам задания шаблонов в DocLister.

Значение по умолчанию - запись из лексикона Register с ключом [+register.default_skipTpl+]

### reportTpl
Шаблон письма с информацией для активации учетной записи.

Возможные значения - имя шаблона, указанное по правилам задания шаблонов в DocLister.

Значение по умолчанию - пусто.

### reportTpl
Шаблон письма с информацией для активации учетной записи.

Возможные значения - имя шаблона, указанное по правилам задания шаблонов в DocLister.

Значение по умолчанию - пусто.

### successTpl
Шаблон сообщения об успешной отправке письма с данными для активации. 

Возможные значения - имя шаблона, указанное по правилам задания шаблонов в DocLister.

Значение по умолчанию - запись из лексикона Activate с ключом [+activate.default_successTpl+]

### activateSuccessTpl
Шаблон сообщения об успешной активации. 

Возможные значения - имя шаблона, указанное по правилам задания шаблонов в DocLister.

Значение по умолчанию - запись из лексикона Activate с ключом [+activate.default_activateSuccessTpl+]

### passwordLength
Длина создаваемого пароля.

Возможные значения - число символов больше 6.

Значение по умолчанию - 6.
